import { VolumeEnvironment } from ".";

const LIVE_API_URL = "https://api.volumepay.io/api/";
const SANDBOX_API_URL = "https://api.sandbox.volumepay.io/api/";

const apiUrlFromVolumeEnvironment = (
  volumeEnvironment: VolumeEnvironment,
): string => {
  switch (volumeEnvironment) {
    case "live":
      return LIVE_API_URL;
    case "sandbox":
      return SANDBOX_API_URL;
    default:
      return volumeEnvironment;
  }
};

export { apiUrlFromVolumeEnvironment };
